[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Iceweasel upgrade and flash sound?

On Thu, Aug 14, 2008 at 09:49:09 -0400, Dept wrote:
> I just upgraded to firefox 3.01 under Linux 2.6.25 and lost the sound
> in flashplayer.

Did you also upgrade to the newest version of flashplugin-nonfree?

> flashplayer. The file libflashplayer.so is in the right directory  
> /usr/lib/iceweasel/plugins.

Check if iceweasel is actually using libflashplayer.so: Go to the
"about:config" page (just type this in the location bar and press ENTER)
and make sure that "plugin.expose_full_path" is set to "true". Then go
to "about:plugins" and verify that the correct full path to the plugin
is shown in the "Shockwave Flash" section. Also make sure that there is
no other flash plugin listed.

If the above is all OK, load some page with flash content and, while it
plays silently, open an X terminal and run:

lsof $(find /dev/ -group audio)

Post the output of this command; it will tell us if there is another
process blocking any sound devices.

> Is there a way to go back to the previous version of firefox?

You may still have the old debs in /var/cache/apt/archives/; failing
that you can download them from snapshot.debian.net or maybe install the
version in Etch. However, I think we will be able to fix the sound for
the new version; iceweasel 3.0.1-1 and flashplugin-nonfree 1:1.6.3 work
for me without problems (kernel 2.6.25 as well as 2.6.26).

Regards,            | http://users.icfo.es/Florian.Kulzer
          Florian   |

Reply to: